.filter-container {
  margin-bottom: 20px;
  border-bottom: 1px solid #ff6600;
}

.filter-select--container {
  border-right: 1px solid #ff6600;
  width: fit-content;
  padding-inline-end: 0.5rem;
}

#orderByFilter {
  padding: 10px;
  font-size: 16px;
  border: unset;
  background-color: white;
  cursor: pointer;
  width: fit-content;
}

.blog-posts-container {
  display: flex;
  flex-flow: column;
  gap: 1.6rem;
}

.blog-posts-container.blog-posts-grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(30%, 1fr));
  gap: 20px;
}

@media screen and (max-width: 1024px) {
  .blog-posts-container.blog-posts-grid {
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  }
  #orderByFilter, .filter-select--container {
    width: 100%;
  }
}

.blog-post-card img {
  width: 100%;
  height: 200px;
  object-fit: cover;
}

.grid-item {
  padding-inline: unset;
}

.post-card {
  border-radius: 10px;
  overflow: hidden;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  background-color: white;
}

.post-image {
  width: 100%;
  height: auto;
}

.post-meta {
  display: flex;
  justify-content: space-between;
  font-size: 1em;
  color: #919191;
  margin-bottom: 10px;
}

.post-content {
  display: flex;
  flex-flow: column;
  min-height: 180px;
  justify-content: space-between;
  padding: 1rem;
}

.post-title {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 15px;
  margin: 0;
  flex: 1;
}

.read-more {
  display: block;
  text-align: center;
  padding: 8px 15px;
  background-color: #fff;
  color: #ff6600;
  border: 2.5px solid #ff6600;
  text-decoration: none;
  text-transform: uppercase;
  font-size: 14px;
  font-weight: 600;
  border-radius: 2px;
}

.read-more:hover {
  background-color: #ff6600;
  color: #fff;
}

.pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 30px;
  margin-bottom: 30px;
}

.pagination .page-numbers {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 1rem;
  height: 1rem;
  margin: 0 5px;
  border-radius: 50%;
  background-color: #f0f0f0;
  color: #333;
  font-size: 0;
  text-decoration: none;
  transition: background-color 0.3s ease;
}

.pagination .page-numbers.current {
  background-color: #ff6600;
  color: white;
}

.pagination .page-numbers:hover:not(.current) {
  background-color: #e0e0e0;
}

.pagination .prev,
.pagination .next {
  font-size: 20px;
}

.page-numbers:is(.prev, .next) {
  background: transparent !important;
}

.next.page-numbers {
  rotate: 180deg;
}

/* single */
.bd_toc_container {
  width: fit-content !important;
}

.bd_toc_wrapper
  .bd_toc_wrapper_item
  .bd_toc_content
  .bd_toc_content_list
  ul
  li
  a,
.bd_toc_container
  .bd_toc_wrapper
  .bd_toc_content_list_item
  ul
  li
  .collaps-button
  .toggle-icon {
  padding-right: 22px !important;
}

@media screen and (max-width: 767px) {
  .bd_toc_container {
    width: 100% !important;
  }
}

/* content table */
.bd_toc_content_list_item a {
  position: relative;
}

.bd_toc_content_list_item a:after {
  content: "";
  position: absolute;
  /* left: 100%; */
  width: 22px;
  height: 22px;
  background: url("/wp-content/themes/norebro-child/assets/components/icons/down-right-arrow.png");
  right: 0;
  background-size: contain;
  background-repeat: no-repeat;
}
@media screen and (max-width: 767px) {
  .bd_toc_content_list .bd_toc_content_list_item ul > li > a {
    font-size: 0.9em !important;
  }
}
